comp.adjp {DEDS} | R Documentation

## Computing permutation based step-down maxT adjusted p values for each row of a matrix

### Description

This function computes permuation based step-down maxT adjusted p values for a selected test statistic, e.g., one- or two-sample t-statitics, F-statistics, SAM, Fold change, moderated t-statistics and moderated F-statisitcs, for each row of a matrix. The procedure is based on codes from `mt.maxT` and described in Westfall & Young (1993).

### Usage

    comp.adjp(X, L, B = 1000, test = c("t", "fc", "sam", "f", "modt", "modf"), tail = c("abs", "lower", "higher"), extra = NULL)

### Arguments

`X` | A matrix, with m rows corresponding to variables (hypotheses) andn columns corresponding to observations. In the case of gene expression data, rows correspond to genes and columns to mRNA samples. The data can be read using `read.table`.
`L` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.
`B` | The number of permutations. For a complete enumeration, `B` should be 0 (zero) or any number not less than the total number of permutations.

`test`

A character string specifying the statistic to be used to test the null hypothesis of no association between the variables and the class labels.
If `test="t"`, for one-class, the tests are based on one-sample t-statistics; for two-class, the tests are based on two-sample t-statistics (unequal variances).
If `test="f"`, the tests are based on F-statistics.
If `test="fc"`, the tests are based on fold changes among classes.
If `test="sam"`, the tests are based on SAM-statistics.
If `test="modt"`, the tests are based on moderated t-statistics.
If `test="modf"`, the tests are based on moderated F-statistics.

`tail`

A character string specifying the type of rejection region.
If `side="abs"`, two-tailed tests, the null hypothesis is rejected for large absolute values of the test statistic.
If `side="higher"`, one-tailed tests, the null hypothesis is rejected for large values of the test statistic.
If `side="lower"`, one-tailed tests, the null hypothesis is rejected for small values of the test statistic.

`extra` | Extra parameter need for the test specified; see `deds.genExtra`.

### Details

see code{mt.maxT}.

### Value

A matrix of the following columns:

`order` | order of rows (genes) based on statistics.
`stat` | a vector of statistics.
`unadj.p` | a vector of unadjusted p values.
`adj.p` | a vector of adjusted p values.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`comp.unadjp`, `comp.fdr`, `comp.stat`

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1

    # t statistics
    unadjp.t <- comp.adjp(X, L, test="t")

[Package DEDS version 1.6.0 Index]